Subject: Re: linux-next: build failure after merge of the spi tree

From: Mark Brown <[email-masked]>
Date: Wed, 16 Feb 2022 16:07:41 +0000

On Wed, Feb 16, 2022 at 09:20:38AM -0300, André Almeida wrote:

> Thanks for input. I'll send a new series with a patch to make this
> driver depends on ACPI then. My patch touched this line, but this
> variable was there before, so I think this build breakage is happening
> for some time.

No, don't do that - just compile out the ACPI support when not in use
like other drivers do.  A dependency on ACPI || COMPILE_TEST could be
useful but you still need to fix the driver.